#
# spec file for package python-flake8-pyi
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-flake8-pyi
Version:        19.3.0
Release:        bp155.2.11
Summary:        A plugin for flake8 to enable linting .pyi files
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/ambv/flake8-pyi
Source:         https://files.pythonhosted.org/packages/source/f/flake8-pyi/flake8-pyi-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/ambv/flake8-pyi/master/LICENSE
BuildRequires:  %{python_module base >= 3.6.0}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module attrs}
BuildRequires:  %{python_module flake8 >= 3.2.1}
BuildRequires:  %{python_module pyflakes >= 2.1.1}
# Use pytest directly to bypass setup.py test dependencies
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module typing}
# /SECTION
BuildRequires:  fdupes
Requires:       python-attrs
Requires:       python-base >= 3.6.0
Requires:       python-flake8 >= 3.2.1
Requires:       python-pyflakes >= 2.1.1
Requires:       python-typing
BuildArch:      noarch

%python_subpackages

%description
A plugin for Flake8 that provides specializations for type hinting stub
files , especially interesting for linting typeshed.

%prep
%setup -q -n flake8-pyi-%{version}
sed -i '1{\,^#!%{_bindir}/env python,d}' pyi.py
cp %{SOURCE1} .

%build
%python_build

%install
%python_install
%fdupes %{buildroot}%{python3_sitelib}

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} py.test3 -v tests

%files %{python_files}
%license LICENSE
%doc README.rst
%{python3_sitelib}/*

%changelog
* Thu Mar  7 2019 John Vandenberg <jayvdb@gmail.com>
- Fix python base dependency to allow on Python 3.6
- Make dependency on python-typing explicit
- Update to v19.3.0
  - Set pyflakes minimum dependency
  - Blacken source
* Thu Feb 28 2019 John Vandenberg <jayvdb@gmail.com>
- Remove workaround for two previously failing tests fixed upstream
- Add build dependency on Python 3.6+
- Add LICENSE
- Udpate to v19.2.0
  * Support 3.7
  * Be explicit in setup.py about Python 3.6+
  * add `.flake8` to manifest file
  * Use --stdin-display-name as filename when reading from stdin
  * Add rules for checking an empty class
  * Add a check for non-ellipsis, non-typed arguments
  * Coding style improvements
* Sat Dec  8 2018 Matej Cepl <mcepl@suse.com>
- Use tarball from the master as of 2018-12-08 to test #16
* Tue Oct 23 2018 Matej Cepl <mcepl@suse.com>
- Initial packaging effort for flake8-pyi 18.3.1
